:: created by: Laura Robinson
:: contact: laura.robinson@sos.wa.gov
:: create date: 2010-12-16
:: note: This file copies derivative imgs from one batch into sep reel folders, flattening the file structure, 
::       making it easier to view thumbnails and QA image quality.
::	 ***Be sure to  run this script from the location where you want files to be copied.***
::	 Note: /SL means to append the folder structure to the left of the file name.
:: 	 syntax: copy_jp2 path_to_batch_folder 
::	 (e.g. at promt>copy_jp2_pdf  F:\docWORKS\OUT\WA_2010\batch_wa_batchname)
@echo off
echo making directories
mkdir all_jp2_pdf
cd all_jp2_pdf
echo making directory
for /f %%t in ('dir /b /A:D %1\*') do for /f %%r in ('dir /b /A:D %1\%%t\*') do mkdir %%t\%%r
echo copying jp2s
for /f %%t in ('dir /b /A:D %1\*') do for /f %%r in ('dir /b /A:D %1\%%t\*') do xxcopy %1\%%t\%%r\*.jp2 %%t\%%r /SL
echo copying pdfs
for /f %%t in ('dir /b /A:D %1\*') do for /f %%r in ('dir /b /A:D %1\%%t\*') do xxcopy %1\%%t\%%r\*.pdf %%t\%%r /SL
cd ..\
echo finished
